Bug 1248527 - Reading tasks from DB on MySQL 5.5 returns tasks with createdOn field that contains midnight time
Reading tasks from DB on MySQL 5.5 returns tasks with createdOn field that co...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: ER5
: 6.2.0
Assigned To: Maciej Swiderski
Tibor Zimanyi
:
Depends On:
Blocks: 1249260
  Show dependency treegraph
 
Reported: 2015-07-30 09:00 EDT by Tibor Zimanyi
Modified: 2015-11-10 08:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1249260 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tibor Zimanyi 2015-07-30 09:00:12 EDT
Description of problem: 

When using MySQL 5.5 database system, reading tasks with method InternalTaskService.getActiveTasks() returns tasks that have narrowed creation time to midnight (e.g. 2015-07-23 00:00:00). Bug is probably somewhere where tasks are read from DB, because also method InternalTaskService.getActiveTasks(date) doesn't work.


Version-Release number of selected component (if applicable): 6.1.2.CR3


How reproducible: Run JUnit test LifeCycleLocalCommandBasedTest.testCompleteByActiveTasks from community repository jbpm using MySQL 5.5.

Actual results: Mentioned test fails. 

Expected results: Mentioned test passes. 

Additional info:
Comment 2 Maciej Swiderski 2015-10-16 10:32:38 EDT
fixed test has been back ported to 6.3.x branch
https://github.com/droolsjbpm/jbpm/commit/385a002e5d32a16cff49e2af10bc461857d39b5b
Comment 3 Tibor Zimanyi 2015-11-10 08:53:08 EST
Verified in 6.2.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.